diff --git a/dlls/winegstreamer/winegstreamer_classes.idl b/dlls/winegstreamer/winegstreamer_classes.idl
index 347ee906a..5762430a5 100644
--- a/dlls/winegstreamer/winegstreamer_classes.idl
+++ b/dlls/winegstreamer/winegstreamer_classes.idl
@@ -78,4 +78,16 @@ coclass CWMADecMediaObject {};
     threading(both),
     uuid(62ce7e72-4c71-4d20-b15d-452831a87d9d)
 ]
-coclass CMSH264DecoderMFT {}
+coclass CMSH264DecoderMFT { }
+
+[
+    threading(both),
+    uuid(32d186a7-218f-4c75-8876-dd77273a8999)
+]
+coclass CMSAACDecMFT { }
+
+[
+    threading(both),
+    uuid(98230571-0087-4204-b020-3282538e57d3)
+]
+coclass CColorConvertDMO { }
diff --git a/dlls/winegstreamer/wm_asyncreader.c b/dlls/winegstreamer/wm_asyncreader.c
index 947b3307a..a7ad6a6c4 100644
--- a/dlls/winegstreamer/wm_asyncreader.c
+++ b/dlls/winegstreamer/wm_asyncreader.c
@@ -66,7 +66,7 @@ static void open_stream(struct async_reader *reader, IWMReaderCallback *callback
     if (FAILED(hr = IWMReaderCallback_QueryInterface(callback,
             &IID_IWMReaderCallbackAdvanced, (void **)&reader->reader.callback_advanced)))
         reader->reader.callback_advanced = NULL;
-    TRACE("Querying for IWMReaderCallbackAdvanced returned %#lx.\n", hr);
+    TRACE("Querying for IWMReaderCallbackAdvanced returned %#x.\n", hr);
 }
 
 static DWORD WINAPI stream_thread(void *arg)
@@ -133,7 +133,7 @@ static DWORD WINAPI stream_thread(void *arg)
             else
                 hr = IWMReaderCallback_OnSample(callback, stream_number - 1, pts, duration,
                         flags, sample, reader->context);
-            TRACE("Callback returned %#lx.\n", hr);
+            TRACE("Callback returned %#x.\n", hr);
             INSSBuffer_Release(sample);
         }
         else if (hr == NS_E_NO_MORE_SAMPLES)
@@ -158,7 +158,7 @@ static DWORD WINAPI stream_thread(void *arg)
         }
         else
         {
-            ERR("Failed to get sample, hr %#lx.\n", hr);
+            ERR("Failed to get sample, hr %#x.\n", hr);
             LeaveCriticalSection(&reader->stream_cs);
             return 0;
         }
@@ -271,7 +271,7 @@ static HRESULT WINAPI WMReader_GetOutputProps(IWMReader *iface, DWORD output, IW
 {
     struct async_reader *reader = impl_from_IWMReader(iface);
 
-    TRACE("reader %p, output %lu, props %p.\n", reader, output, props);
+    TRACE("reader %p, output %u, props %p.\n", reader, output, props);
 
     return wm_reader_get_output_props(&reader->reader, output, props);
 }
@@ -280,7 +280,7 @@ static HRESULT WINAPI WMReader_SetOutputProps(IWMReader *iface, DWORD output, IW
 {
     struct async_reader *reader = impl_from_IWMReader(iface);
 
-    TRACE("reader %p, output %lu, props %p.\n", reader, output, props);
+    TRACE("reader %p, output %u, props %p.\n", reader, output, props);
 
     return wm_reader_set_output_props(&reader->reader, output, props);
 }
@@ -289,7 +289,7 @@ static HRESULT WINAPI WMReader_GetOutputFormatCount(IWMReader *iface, DWORD outp
 {
     struct async_reader *reader = impl_from_IWMReader(iface);
 
-    TRACE("reader %p, output %lu, count %p.\n", reader, output, count);
+    TRACE("reader %p, output %u, count %p.\n", reader, output, count);
 
     return wm_reader_get_output_format_count(&reader->reader, output, count);
 }
@@ -299,7 +299,7 @@ static HRESULT WINAPI WMReader_GetOutputFormat(IWMReader *iface, DWORD output,
 {
     struct async_reader *reader = impl_from_IWMReader(iface);
 
-    TRACE("reader %p, output %lu, index %lu, props %p.\n", reader, output, index, props);
+    TRACE("reader %p, output %u, index %u, props %p.\n", reader, output, index, props);
 
     return wm_reader_get_output_format(&reader->reader, output, index, props);
 }
@@ -530,17 +530,15 @@ static HRESULT WINAPI WMReaderAdvanced_SetAllocateForOutput(IWMReaderAdvanced6 *
 {
     struct async_reader *reader = impl_from_IWMReaderAdvanced6(iface);
 
-    TRACE("reader %p, output %lu, allocate %d.\n", reader, output, allocate);
+    TRACE("reader %p, output %u, allocate %d.\n", reader, output, allocate);
 
     return wm_reader_set_allocate_for_output(&reader->reader, output, allocate);
 }
 
 static HRESULT WINAPI WMReaderAdvanced_GetAllocateForOutput(IWMReaderAdvanced6 *iface, DWORD output_num, BOOL *allocate)
 {
-    struct async_reader *reader = impl_from_IWMReaderAdvanced6(iface);
-
-    FIXME("reader %p, output %lu, allocate %p, stub!\n", reader, output_num, allocate);
-
+    struct async_reader *This = impl_from_IWMReaderAdvanced6(iface);
+    FIXME("(%p)->(%d %p)\n", This, output_num, allocate);
     return E_NOTIMPL;
 }
 
@@ -578,7 +576,7 @@ static HRESULT WINAPI WMReaderAdvanced_SetClientInfo(IWMReaderAdvanced6 *iface,
 static HRESULT WINAPI WMReaderAdvanced_GetMaxOutputSampleSize(IWMReaderAdvanced6 *iface, DWORD output, DWORD *max)
 {
     struct async_reader *This = impl_from_IWMReaderAdvanced6(iface);
-    FIXME("(%p)->(%lu %p)\n", This, output, max);
+    FIXME("(%p)->(%d %p)\n", This, output, max);
     return E_NOTIMPL;
 }
 
@@ -661,7 +659,7 @@ static HRESULT WINAPI WMReaderAdvanced2_GetOutputSetting(IWMReaderAdvanced6 *ifa
         const WCHAR *name, WMT_ATTR_DATATYPE *type, BYTE *value, WORD *length)
 {
     struct async_reader *This = impl_from_IWMReaderAdvanced6(iface);
-    FIXME("(%p)->(%lu %s %p %p %p)\n", This, output_num, debugstr_w(name), type, value, length);
+    FIXME("(%p)->(%d %s %p %p %p)\n", This, output_num, debugstr_w(name), type, value, length);
     return E_NOTIMPL;
 }
 
@@ -669,7 +667,7 @@ static HRESULT WINAPI WMReaderAdvanced2_SetOutputSetting(IWMReaderAdvanced6 *ifa
         const WCHAR *name, WMT_ATTR_DATATYPE type, const BYTE *value, WORD length)
 {
     struct async_reader *This = impl_from_IWMReaderAdvanced6(iface);
-    FIXME("(%p)->(%lu %s %#x %p %u)\n", This, output_num, debugstr_w(name), type, value, length);
+    FIXME("(%p)->(%d %s %d %p %d)\n", This, output_num, debugstr_w(name), type, value, length);
     return E_NOTIMPL;
 }
 
@@ -736,18 +734,15 @@ static HRESULT WINAPI WMReaderAdvanced3_StartAtPosition(IWMReaderAdvanced6 *ifac
 static HRESULT WINAPI WMReaderAdvanced4_GetLanguageCount(IWMReaderAdvanced6 *iface, DWORD output_num, WORD *language_count)
 {
     struct async_reader *This = impl_from_IWMReaderAdvanced6(iface);
-    FIXME("(%p)->(%lu %p)\n", This, output_num, language_count);
+    FIXME("(%p)->(%d %p)\n", This, output_num, language_count);
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI WMReaderAdvanced4_GetLanguage(IWMReaderAdvanced6 *iface, DWORD output_num,
        WORD language, WCHAR *language_string, WORD *language_string_len)
 {
-    struct async_reader *reader = impl_from_IWMReaderAdvanced6(iface);
-
-    FIXME("reader %p, output %lu, language %#x, language_string %p, language_string_len %p, stub!\n",
-            reader, output_num, language, language_string, language_string_len);
-
+    struct async_reader *This = impl_from_IWMReaderAdvanced6(iface);
+    FIXME("(%p)->(%d %x %p %p)\n", This, output_num, language, language_string, language_string_len);
     return E_NOTIMPL;
 }
 
@@ -803,21 +798,17 @@ static HRESULT WINAPI WMReaderAdvanced4_GetURL(IWMReaderAdvanced6 *iface, WCHAR
 
 static HRESULT WINAPI WMReaderAdvanced5_SetPlayerHook(IWMReaderAdvanced6 *iface, DWORD output_num, IWMPlayerHook *hook)
 {
-    struct async_reader *reader = impl_from_IWMReaderAdvanced6(iface);
-
-    FIXME("reader %p, output %lu, hook %p, stub!\n", reader, output_num, hook);
-
+    struct async_reader *This = impl_from_IWMReaderAdvanced6(iface);
+    FIXME("(%p)->(%d %p)\n", This, output_num, hook);
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI WMReaderAdvanced6_SetProtectStreamSamples(IWMReaderAdvanced6 *iface, BYTE *cert,
         DWORD cert_size, DWORD cert_type, DWORD flags, BYTE *initialization_vector, DWORD *initialization_vector_size)
 {
-    struct async_reader *reader = impl_from_IWMReaderAdvanced6(iface);
-
-    FIXME("reader %p, cert %p, cert_size %lu, cert_type %#lx, flags %#lx, vector %p, vector_size %p, stub!\n",
-            reader, cert, cert_size, cert_type, flags, initialization_vector, initialization_vector_size);
-
+    struct async_reader *This = impl_from_IWMReaderAdvanced6(iface);
+    FIXME("(%p)->(%p %d %d %x %p %p)\n", This, cert, cert_size, cert_type, flags, initialization_vector,
+          initialization_vector_size);
     return E_NOTIMPL;
 }
 
@@ -900,18 +891,18 @@ static ULONG WINAPI reader_accl_Release(IWMReaderAccelerator *iface)
 
 static HRESULT WINAPI reader_accl_GetCodecInterface(IWMReaderAccelerator *iface, DWORD output, REFIID riid, void **codec)
 {
-    struct async_reader *reader = impl_from_IWMReaderAccelerator(iface);
+    struct async_reader *This = impl_from_IWMReaderAccelerator(iface);
 
-    FIXME("reader %p, output %lu, iid %s, codec %p, stub!\n", reader, output, debugstr_guid(riid), codec);
+    FIXME("%p, %d, %s, %p\n", This, output, debugstr_guid(riid), codec);
 
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI reader_accl_Notify(IWMReaderAccelerator *iface, DWORD output, WM_MEDIA_TYPE *subtype)
 {
-    struct async_reader *reader = impl_from_IWMReaderAccelerator(iface);
+    struct async_reader *This = impl_from_IWMReaderAccelerator(iface);
 
-    FIXME("reader %p, output %lu, subtype %p, stub!\n", reader, output, subtype);
+    FIXME("%p, %d, %p\n", This, output, subtype);
 
     return E_NOTIMPL;
 }
@@ -969,13 +960,11 @@ static HRESULT WINAPI networkconfig_GetUDPPortRanges(IWMReaderNetworkConfig2 *if
     return E_NOTIMPL;
 }
 
-static HRESULT WINAPI networkconfig_SetUDPPortRanges(IWMReaderNetworkConfig2 *iface,
-        WM_PORT_NUMBER_RANGE *ranges, DWORD count)
+static HRESULT WINAPI networkconfig_SetUDPPortRanges(IWMReaderNetworkConfig2 *iface, WM_PORT_NUMBER_RANGE *array,
+        DWORD ranges)
 {
-    struct async_reader *reader = impl_from_IWMReaderNetworkConfig2(iface);
-
-    FIXME("reader %p, ranges %p, count %lu.\n", reader, ranges, count);
-
+    struct async_reader *This = impl_from_IWMReaderNetworkConfig2(iface);
+    FIXME("%p, %p, %u\n", This, array, ranges);
     return E_NOTIMPL;
 }
 
@@ -1022,10 +1011,8 @@ static HRESULT WINAPI networkconfig_GetProxyPort(IWMReaderNetworkConfig2 *iface,
 static HRESULT WINAPI networkconfig_SetProxyPort(IWMReaderNetworkConfig2 *iface, const WCHAR *protocol,
         DWORD port)
 {
-    struct async_reader *reader = impl_from_IWMReaderNetworkConfig2(iface);
-
-    FIXME("reader %p, protocol %s, port %lu, stub!\n", reader, debugstr_w(protocol), port);
-
+    struct async_reader *This = impl_from_IWMReaderNetworkConfig2(iface);
+    FIXME("%p, %s, %u\n", This, debugstr_w(protocol), port);
     return E_NOTIMPL;
 }
 
@@ -1149,10 +1136,8 @@ static HRESULT WINAPI networkconfig_GetConnectionBandwidth(IWMReaderNetworkConfi
 
 static HRESULT WINAPI networkconfig_SetConnectionBandwidth(IWMReaderNetworkConfig2 *iface, DWORD bandwidth)
 {
-    struct async_reader *reader = impl_from_IWMReaderNetworkConfig2(iface);
-
-    FIXME("reader %p, bandwidth %lu, stub!\n", reader, bandwidth);
-
+    struct async_reader *This = impl_from_IWMReaderNetworkConfig2(iface);
+    FIXME("%p, %u\n", This, bandwidth);
     return E_NOTIMPL;
 }
 
@@ -1166,10 +1151,8 @@ static HRESULT WINAPI networkconfig_GetNumProtocolsSupported(IWMReaderNetworkCon
 static HRESULT WINAPI networkconfig_GetSupportedProtocolName(IWMReaderNetworkConfig2 *iface, DWORD protocol_num,
         WCHAR *protocol, DWORD *size)
 {
-    struct async_reader *reader = impl_from_IWMReaderNetworkConfig2(iface);
-
-    FIXME("reader %p, index %lu, protocol %p, size %p, stub!\n", reader, protocol_num, protocol, size);
-
+    struct async_reader *This = impl_from_IWMReaderNetworkConfig2(iface);
+    FIXME("%p, %u, %p %p\n", This, protocol_num, protocol, size);
     return E_NOTIMPL;
 }
 
@@ -1183,10 +1166,8 @@ static HRESULT WINAPI networkconfig_AddLoggingUrl(IWMReaderNetworkConfig2 *iface
 static HRESULT WINAPI networkconfig_GetLoggingUrl(IWMReaderNetworkConfig2 *iface, DWORD index, WCHAR *url,
         DWORD *size)
 {
-    struct async_reader *reader = impl_from_IWMReaderNetworkConfig2(iface);
-
-    FIXME("reader %p, index %lu, url %p, size %p, stub!\n", reader, index, url, size);
-
+    struct async_reader *This = impl_from_IWMReaderNetworkConfig2(iface);
+    FIXME("%p, %u, %p, %p\n", This, index, url, size);
     return E_NOTIMPL;
 }
 
@@ -1257,10 +1238,8 @@ static HRESULT WINAPI networkconfig_GetAutoReconnectLimit(IWMReaderNetworkConfig
 
 static HRESULT WINAPI networkconfig_SetAutoReconnectLimit(IWMReaderNetworkConfig2 *iface, DWORD limit)
 {
-    struct async_reader *reader = impl_from_IWMReaderNetworkConfig2(iface);
-
-    FIXME("reader %p, limit %lu, stub!\n", reader, limit);
-
+    struct async_reader *This = impl_from_IWMReaderNetworkConfig2(iface);
+    FIXME("%p, %u\n", This, limit);
     return E_NOTIMPL;
 }
 
@@ -1391,10 +1370,8 @@ static HRESULT WINAPI readclock_SetTimer(IWMReaderStreamClock *iface, QWORD when
 
 static HRESULT WINAPI readclock_KillTimer(IWMReaderStreamClock *iface, DWORD id)
 {
-    struct async_reader *reader = impl_from_IWMReaderStreamClock(iface);
-
-    FIXME("reader %p, id %lu, stub!\n", reader, id);
-
+    struct async_reader *This = impl_from_IWMReaderStreamClock(iface);
+    FIXME("%p, %d\n", This, id);
     return E_NOTIMPL;
 }
 
@@ -1433,10 +1410,8 @@ static ULONG WINAPI negotiation_Release(IWMReaderTypeNegotiation *iface)
 
 static HRESULT WINAPI negotiation_TryOutputProps(IWMReaderTypeNegotiation *iface, DWORD output, IWMOutputMediaProps *props)
 {
-    struct async_reader *reader = impl_from_IWMReaderTypeNegotiation(iface);
-
-    FIXME("reader %p, output %lu, props %p, stub!\n", reader, output, props);
-
+    struct async_reader *This = impl_from_IWMReaderTypeNegotiation(iface);
+    FIXME("%p, %d, %p\n", This, output, props);
     return E_NOTIMPL;
 }
 
@@ -1481,31 +1456,25 @@ static HRESULT WINAPI refclock_GetTime(IReferenceClock *iface, REFERENCE_TIME *t
 static HRESULT WINAPI refclock_AdviseTime(IReferenceClock *iface, REFERENCE_TIME basetime,
         REFERENCE_TIME streamtime, HEVENT event, DWORD_PTR *cookie)
 {
-    struct async_reader *reader = impl_from_IReferenceClock(iface);
-
-    FIXME("reader %p, basetime %s, streamtime %s, event %#Ix, cookie %p, stub!\n",
-            reader, debugstr_time(basetime), debugstr_time(streamtime), event, cookie);
-
+    struct async_reader *This = impl_from_IReferenceClock(iface);
+    FIXME("%p, %s, %s, %lu, %p\n", This, wine_dbgstr_longlong(basetime),
+            wine_dbgstr_longlong(streamtime), event, cookie);
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI refclock_AdvisePeriodic(IReferenceClock *iface, REFERENCE_TIME starttime,
         REFERENCE_TIME period, HSEMAPHORE semaphore, DWORD_PTR *cookie)
 {
-    struct async_reader *reader = impl_from_IReferenceClock(iface);
-
-    FIXME("reader %p, starttime %s, period %s, semaphore %#Ix, cookie %p, stub!\n",
-            reader, debugstr_time(starttime), debugstr_time(period), semaphore, cookie);
-
+    struct async_reader *This = impl_from_IReferenceClock(iface);
+    FIXME("%p, %s, %s, %lu, %p\n", This, wine_dbgstr_longlong(starttime),
+            wine_dbgstr_longlong(period), semaphore, cookie);
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI refclock_Unadvise(IReferenceClock *iface, DWORD_PTR cookie)
 {
-    struct async_reader *reader = impl_from_IReferenceClock(iface);
-
-    FIXME("reader %p, cookie %Iu, stub!\n", reader, cookie);
-
+    struct async_reader *This = impl_from_IReferenceClock(iface);
+    FIXME("%p, %lu\n", This, cookie);
     return E_NOTIMPL;
 }
 
